WBCE CMS Forum

WBCE CMS – Way Better Content Editing.

You are not logged in.

#1 02.02.2018 15:59:03

rjgamer
Developer

Release History & Diskussion (2.0.1 - 2.5.0)

Hallo zusammen,

ich habe es getan und mich an den Auto Updater für das Fraggy Backend Theme herangewagt. Mit der Version 2.0.1 könnt ihr unten rechts im Dashboard per sofort das Fraggy Backend Theme automatisch mit einem Knopfdruck aktualisieren (sobald es eine neue Version gibt tongue). Vorausgesetzt wird nur die cURL Erweiterung für PHP und eine Internetverbindung für den Webserver.

Der Auto Updater war ein bisschen Neuland für mich und ist mit dem automatischen Entpacken und der Anbindung an die Fraggy-eigene API nicht ganz unkompliziert. Aus diesem Grund möchte ich um eure Unterstützung bitten, indem ihr die Version 2.0.1 mit dem Auto Updater ausgiebig testet. Ihr könnt ein Update "faken", in dem ihr einfach in der info.php vom Fraggy Backend Theme die Version der Variable $templates_version tiefer setzt als 2.0.1. Ich freue mich auf eure Rückmeldung!

Du kannst den neusten Release (exkl. Source Code) des Fraggy Backend Themes vom offiziellen GitHub Repository herunterladen. Für alle Webdesigner und Entwickler gibt es natürlich auch einen Source Code Release.

Changelog (die Differenz von der alten Version 2.0.0 zur neuen 2.0.1, nur in Englisch)
  • Added auto updater

Bitte die Anleitung in der README für das eigene Logo und Favicon lesen! Neu können die Bilder auch direkt im Medien-Ordner oder sogar in das Hauptverzeichnis der WBCE-Installation hochgeladen werden. Mit diesem Lösungsansatz und der Fraggy-eigenen API wird das erneute Hinzufügen nach einer Aktualisierung hinfällig. thumb_up

Gemäss README wird für Fraggy Backend Theme zwingend die Version 1.3.1 von WBCE oder neuer vorausgesetzt. Ältere Versionen von WBCE werden nicht mehr unterstützt.

Die Entfernung des "Designed by"-Vermerks sowie den Links zu neoflow.ch und wbce.org ist lizenzrechtlich verboten!

Gruss rjgamer

--------------------------------------------

PS: Ich bin Spenden via PayPal nicht abgeneigt (gerade wenn Fraggy auch in kommerziellen Projekten verwendet wird)  tongue

Last edited by rjgamer (23.03.2018 12:10:43)

Offline

#2 02.02.2018 16:06:55

florian
Administrator

Re: Release History & Diskussion (2.0.1 - 2.5.0)

Ich hab mal ein Unterforum fürs Thema Fraggy angelegt und die Ankündigung vom Monster-Ursprungsthread abgelöst. Ist vielleicht übersichtlicher so.
Danke für den Updater, ich werde ihn bei nächster Gelegenheit testen.

Offline

Liked by:

better-work

#3 02.02.2018 21:14:09

better-work
Member

Re: Release History & Diskussion (2.0.1 - 2.5.0)

@rjgamer

Ich unterstütze Dein Template sehr gerne, da ich es auch für mich und meine Kunden nutze!

Denn Versprochen ist Versprochen...

Der Auto-Updater ist interessant, aber mir persönlich jetzt nicht so wichtig.
Für Einsteiger aber sicherlich sehr hilfreich...
big_smile

Schön das Du die "backend-theme-logo.png" Option eingearbeitet hast.
Das finde ich sehr hilfreich.
thumb_up

In diesem Sinne wünsche ich ein schönes Wochenende.


Gruß Jörg

Offline

#4 05.02.2018 11:41:11

rjgamer
Developer

Re: Release History & Diskussion (2.0.1 - 2.5.0)

Dev-Fehler reingeschlichen. Damit der Auto Updater funktioniert, müsst ihr unter api/updater.php in der zeile 63 das "&& 1 === 2" entfernen.

Sorry Leute. Ein neuer Release 2.0.2 folgt innert kürze!

Last edited by rjgamer (05.02.2018 11:43:55)

Offline

#5 07.02.2018 08:17:33

rjgamer
Developer

Re: Release History & Diskussion (2.0.1 - 2.5.0)

Hallo zusammen,

mit der Version 2.0.1 kam der Auto-Updater. Leider hatte das Ding aber noch einige Tücken und ich habe mit dem neuen Release in der Version 2.0.2 den Auto Updater nochmals überarbeitet und optimiert.

Bitte beachten: In der Version 2.0.1 hat sich noch ein Fehler meinerseits eingeschlichen. Damit ihr den Auto Updater überhaupt nutzen könnt, um automatisch die Version 2.0.2 installieren zu können, müsst ihr in der Datei api/updater.php bei der Zeile 63 den Code && 1 === 2 entfernen.

Sorry für die Umstände sad

Du kannst den neusten Release (exkl. Source Code) des Fraggy Backend Themes vom offiziellen GitHub Repository herunterladen. Für alle Webdesigner und Entwickler gibt es natürlich auch einen Source Code Release.

Changelog (nur die Differenz zur Vorgängerversion und in Englisch)
  • Fixed and optimized auto updater

Bitte die Anleitung in der README für das eigene Logo und Favicon lesen! Neu können die Bilder auch direkt im Medien-Ordner oder sogar in das Hauptverzeichnis der WBCE-Installation hochgeladen werden. Mit diesem Lösungsansatz und der Fraggy-eigenen API wird das erneute Hinzufügen nach einer Aktualisierung hinfällig. thumb_up

Gemäss README wird für Fraggy Backend Theme zwingend die Version 1.3.1 von WBCE oder neuer vorausgesetzt. Ältere Versionen von WBCE werden nicht mehr unterstützt.

Die Entfernung des "Designed by"-Vermerks sowie den Links zu neoflow.ch und wbce.org ist lizenzrechtlich verboten!

Gruss rjgamer

------------------

PS: Ich bin Spenden via PayPal nicht abgeneigt (gerade wenn Fraggy auch in kommerziellen Projekten verwendet wird)  tongue

Last edited by rjgamer (23.03.2018 12:10:22)

Offline

#6 22.03.2018 12:16:16

jps77
Member

Re: Release History & Diskussion (2.0.1 - 2.5.0)

Hallo,

eine Frage.... wäre es eventuell möglich beim nächsten Update in der Übersicht des Seitenbaums die Links für "Alle schliessen / Alle öffnen" zusätzlich auch ganz oben in der Übersicht zu platzieren?
Man müsste dann nicht immer bis nach unten scrollen (etwas mühsam) um die Funktion zu nutzen.

Vielen Dank

Offline

#7 22.03.2018 12:26:09

rjgamer
Developer

Re: Release History & Diskussion (2.0.1 - 2.5.0)

Hi,

warum nicht. Ich hab deinen Wunsch als Issue auf GitHub aufgenommen und auf dem Radar.

Gruss

Offline

Liked by:

jps77

#8 22.03.2018 13:17:11

rjgamer
Developer

Re: Release History & Diskussion (2.0.1 - 2.5.0)

Hallo zusammen,

mit der Version 2.0.2 kam der optimierte Auto-Updater für das Fraggy Backend Theme. Leider hat sich im Updater während der Entwicklung ein Fehler eingeschlichen. Die Lösung für den manuellen Fix findest du hier: https://forum.wbce.org/viewtopic.php?id=1986

Selbstverständlich kann der Release weiterhin wie bisher auch manuell installiert/aktualisiert werden.

Du kannst den neusten Release (exkl. Source Code) des Fraggy Backend Themes vom offiziellen GitHub Repository herunterladen. Für alle Webdesigner und Entwickler gibt es natürlich auch einen Source Code Release.

Changelog (nur die Differenz zur Vorgängerversion und in Englisch)
  • Added expand/collapse pagetree links to the top

  • Added number of pages to the top

  • Added search to select dropdowns

  • Fixed auto updater

Bitte die Anleitung in der README für das eigene Logo und Favicon lesen! Neu können die Bilder auch direkt im Medien-Ordner oder sogar in das Hauptverzeichnis der WBCE-Installation hochgeladen werden. Mit diesem Lösungsansatz und der Fraggy-eigenen API wird das erneute Hinzufügen nach einer Aktualisierung hinfällig. thumb_up

Gemäss README wird für Fraggy Backend Theme zwingend die Version 1.3.1 von WBCE oder neuer vorausgesetzt. Ältere Versionen von WBCE werden nicht mehr unterstützt.

Die Entfernung des "Designed by"-Vermerks sowie den Links zu neoflow.ch und wbce.org ist lizenzrechtlich verboten!

Gruss rjgamer

------------------

PS: Ich bin Spenden via PayPal nicht abgeneigt (gerade wenn Fraggy auch in kommerziellen Projekten verwendet wird)  tongue

Last edited by rjgamer (23.03.2018 12:10:32)

Offline

Liked by:

colinax, dwingo

#9 22.03.2018 13:19:17

rjgamer
Developer

Re: Release History & Diskussion (2.0.1 - 2.5.0)

Hallo zusammen,

mit der Version 2.0.2 und 2.0.3 kam ein optimierter Auto-Updater für das Fraggy Backend Themes. Leider hat sich im Updater während der Entwicklung ein Fehler eingeschlichen. Die neue Version wird zwar angezeigt, aber die Installation des Updates wird nicht ausgeführt.

Das Problem kann aber manuell gefixt werden. Einfach die Update.php im api/classes/Neoflow/Fraggy/Api-Verzeichnis des Templates mit der in diesem Post als Attachement beigelegten Datei ersetzen. Danach funktioniert der Auto Updater einwandfrei!

Sorry für die Umstände!

Last edited by rjgamer (23.03.2018 12:19:19)

Offline

Liked by:

dwingo, better-work

#10 22.03.2018 13:22:22

rjgamer
Developer

Re: Release History & Diskussion (2.0.1 - 2.5.0)

Tada: https://forum.wbce.org/viewtopic.php?id=1985

Bitte Fix für den Auto Updater beachten. hmm

Last edited by rjgamer (22.03.2018 13:22:30)

Offline

Liked by:

jps77

#11 23.03.2018 12:26:07

rjgamer
Developer

Re: Release History & Diskussion (2.0.1 - 2.5.0)

Hallo zusammen,

mit der Version 2.0.1 des Fraggy Backend Themes habe ich den Auto Updater eingeführt. Leider haben aber zahlreiche Flüchtigkeitsfehler meinerseits immer wieder dazu geführt, dass der Auto Updater nur mit manuellen Korrekturen durch den Benutzer zum laufen gebracht werden konnte. Dies betrifft leider auch die Versionen 2.0.2 und 2.0.3, bei denen nur mit einem manuellen Fix der Auto Updater funktioniert.

Mit der heute veröffentlichten Version 2.0.4 des Fraggy Backend Themes habe ich den Wechsel von der Fraggy-eigenen API zur GitHub APIv3 vollzogen. Weiter habe ich den Auto Updater nochmals leicht überarbeitet, aber dafür auch um einiges ausgiebiger getestet als in allen bisherigen Releases in den vergangenen Wochen. thumb_up

Ich hoffe ich konnte mit der Version 2.0.4 endlich einen fehlerfreien Auto Updater zur Verfügung. wink Es tut mir leid für die zahlreichen Releases und den manuellen Mehraufwand. Aber das zu hastige Vorgehen meinerseits bei der Entwicklung und den Tests war mir eine Lehre. cry

Gruss rjgamer

---------------------

Du kannst den neusten Release (exkl. Source Code) des Fraggy Backend Themes vom offiziellen GitHub Repository herunterladen. Für alle Webdesigner und Entwickler gibt es natürlich auch einen Source Code Release.

Changelog (nur die Differenz zur Vorgängerversion und in Englisch)

  • Fixed and optimized auto updater

Bitte die Anleitung in der README für das eigene Logo und Favicon lesen! Neu können die Bilder auch direkt im Medien-Ordner oder sogar in das Hauptverzeichnis der WBCE-Installation hochgeladen werden. Mit diesem Lösungsansatz und der Fraggy-eigenen API wird das erneute Hinzufügen nach einer Aktualisierung hinfällig. thumb_up

Gemäss README wird für Fraggy Backend Theme zwingend die Version 1.3.1 von WBCE oder neuer vorausgesetzt. Ältere Versionen von WBCE werden nicht mehr unterstützt.

Die Entfernung des "Designed by"-Vermerks sowie den Links zu neoflow.ch und wbce.org ist lizenzrechtlich verboten!

---------------------

Ich bin Spenden via PayPal nicht abgeneigt (gerade wenn Fraggy auch in kommerziellen Projekten verwendet wird)  tongue

Offline

#12 23.03.2018 13:26:29

colinax
Administrator

Re: Release History & Diskussion (2.0.1 - 2.5.0)

Hi, ja der Updater von 2.0.4 funktioniert soweit ich es testen konnte.

Durch die neue API, kann trotz der Meldung das 2.0.4 verfügbar ist, von z.B. 2.0.3 nicht über den Updater aktualisiert werden.

Offline

#13 23.03.2018 13:32:29

rjgamer
Developer

Re: Release History & Diskussion (2.0.1 - 2.5.0)

colinax wrote:

Hi, ja der Updater von 2.0.4 funktioniert soweit ich es testen konnte.

Cool! Schön zu hören! thumb_up

colinax wrote:

Durch die neue API, kann trotz der Meldung das 2.0.4 verfügbar ist, von z.B. 2.0.3 nicht über den Updater aktualisiert werden.

Korrekt. Das habe ich mit Schrecken heute Morgen auch festgestellt. Auf die Problematik und Lösung gehe ich aber im ersten Abschnitt beim Eröffnungspost ein. Man muss den selben Fix verwenden wie bei der 2.0.2.

Gruss

Offline

Liked by:

colinax

#14 23.07.2018 14:30:31

rjgamer
Developer

Re: Release History & Diskussion (2.0.1 - 2.5.0)

Hallo zusammen,

ich arbeite gerade an der Version 2.1.0 des Fraggy Backend Themes.

Irgendwelche Wünsche für den neuen Releases? Bis jetzt habe ich einfach mal auf Bootstrap 4.1.3 aktualisiert. Mehr aber nicht.

Oder ist jemandem evt. ein Fehler in der laufenden WBCE Beta aufgefallen?

Gruss rjgamer

Last edited by rjgamer (12.08.2018 20:24:37)

Offline

Liked by:

florian, stefanek, ice, colinax

#15 24.07.2018 11:00:25

rjgamer
Developer

Re: Release History & Diskussion (2.0.1 - 2.5.0)

Keine Wünsche sind auch gut. Einfach nicht später kommen...  big_smile

Offline

Liked by:

colinax

#16 24.07.2018 11:17:31

ice
Member

Re: Release History & Diskussion (2.0.1 - 2.5.0)

Ich nutze dein Backend schon eine ganze Weile, und bin damit zufrieden, deswegen keine Wünsche, alles in Ordnung.

Last edited by ice (24.07.2018 11:18:43)

Offline

Liked by:

screamindan

#17 02.08.2018 20:47:42

trici
Member

Re: Release History & Diskussion (2.0.1 - 2.5.0)

Wäre schön, wenn der save-button im ckEditor funktionieren könnte. Geht bei mir jedenfalls nicht (mehr).
Dies ist praktisch wenn man viele Abschnitte hat, so muss man nicht nach jedem speichern wieder runterscrollen und den Abschnitt suchen.
Ansonsten tipptopp, vielen Dank.

Offline

#18 03.08.2018 10:55:38

colinax
Administrator

Re: Release History & Diskussion (2.0.1 - 2.5.0)

trici wrote:

Wäre schön, wenn der save-button im ckEditor funktionieren könnte. Geht bei mir jedenfalls nicht (mehr).
Dies ist praktisch wenn man viele Abschnitte hat, so muss man nicht nach jedem speichern wieder runterscrollen und den Abschnitt suchen.
Ansonsten tipptopp, vielen Dank.

Hi trici,

Könntest Du uns bitte sagen welcher save Button gemeint ist?

Wenn ich dich richtig verstehe hat dein Wunsch nichts mit Fraggy zu tun sondern mit den WBCE Core(-Modulen)

Offline

#19 03.08.2018 20:53:03

trici
Member

Re: Release History & Diskussion (2.0.1 - 2.5.0)

Hallo colinax
Ich hänge mal ein Scrennshot an, damit du besser siehst, welchen save-button ich meine. Mit dem Standard WBCE Flat Theme geht's, nur leider nicht mit Fraggy.

Offline

#20 04.08.2018 09:11:51

colinax
Administrator

Re: Release History & Diskussion (2.0.1 - 2.5.0)

Ok der Button sollte eigentlich nichts mit Fraggy zu tun haben.

Kannst Du bitte in der (Browser-)Konsole (F12) nachschauen, ob dort Fehler angezeigt werden?

Dann wäre noch interessant welche WBCE, PHP, CKE installiert ist und wie Du den CKE updatest?

Offline

#21 04.08.2018 13:25:57

colinax
Administrator

Re: Release History & Diskussion (2.0.1 - 2.5.0)

@Trici und rjgamer der Fehler ist bestätigt, wie es aussieht sind bestimmte Werte in der script(.min).js nicht mit jquery kompatible.

Last edited by colinax (07.08.2018 08:40:02)

Offline

#22 04.08.2018 13:46:48

trici
Member

Re: Release History & Diskussion (2.0.1 - 2.5.0)

Ah, danke, war gerade am nachschauen.
Also bis WBCE 1.1 (PHP 5.6 und 7.1) funktionierte der Button. Ab WBCE Version 3.1 nicht mehr. In der Konsole fehlt z.B. jquery-migrate-min.js, ev. liegt es daran? Dies als ergänzende Info.

Offline

Liked by:

stefanek, colinax

#23 06.08.2018 19:12:40

rjgamer
Developer

Re: Release History & Diskussion (2.0.1 - 2.5.0)

Hiho, sorry gerade beruflich viel los. Danke fürs gucken, ich werde es versuchen zu fixen und melde mich wieder.

Offline

#24 06.08.2018 21:42:21

rjgamer
Developer

Re: Release History & Diskussion (2.0.1 - 2.5.0)

Hi,

also ich hab auch das Problem mit dem SaveButton, aber ich kann eure Test-Resultate nicht reproduzieren. Ich sehe keinen Fehler beim script.min.js, vielmehr eine Inkompatibilität mit dem SaveButton Plugin von CKEditor und jQuery. Siehe Screenshot.

Könnt ihr mir paar Infos mehr liefern zu euren Tests?

Gruss rjgamer

Offline

#25 06.08.2018 22:40:17

colinax
Administrator

Re: Release History & Diskussion (2.0.1 - 2.5.0)

Ich habs jetzt gezielter geprüft, das Problem liegt in der ibox.js des wbsave Plugins, die nicht mit jquery 3.x kompatible ist.

Die einfachste Lösung wäre wenn Fraggy jQuery Migrate mit ausliefern würde.

Offline

Liked by:

stefanek

Board footer

Powered by FluxBB

up